Uploaded image for project: 'mod-template-engine'
  1. mod-template-engine
  2. MODTEMPENG-37

mod-template-engine errors out on update

    XMLWordPrintable

Details

    • CP: sprint 78, CP: sprint 79, CP: sprint 83, CP: sprint 84
    • 2
    • Core: Platform

    Description

      Updates for mod-template-engine fail with an error updating the db. This appears to be a new problem updating to mod-template-engine-1.7.0-SNAPSHOT.49 (I am able to update to mod-template-engine-1.7.0-SNAPSHOT.48 from an older version).

      The scenario is attempting to enable mod-template-engine-1.7.0-SNAPSHOT.49 using okapi's /_/proxy/tenant/

      {tenant}

      /install endpoint for a tenant running the previous snapshot.

      The error I'm seeing from the module is posted below. Also attached are the okapi.log, mod-template-engine-log and a shell script to reproduce the problem are vagrant.

      27 Nov 2019 17:54:45:813 ERROR PostgresClient [5170eqId] ERROR: column "id" of relation "template" does not exist
        Position: 24
      org.postgresql.util.PSQLException: ERROR: column "id" of relation "template" does not exist
        Position: 24
              at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2310) ~[mod-template-engine-fat.jar:?]
              at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:2023) ~[mod-template-engine-fat.jar:?]
              at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:217) ~[mod-template-engine-fat.jar:?]
              at org.postgresql.jdbc.PgStatement.execute(PgStatement.java:421) ~[mod-template-engine-fat.jar:?]
              at org.postgresql.jdbc.PgStatement.executeWithFlags(PgStatement.java:318) ~[mod-template-engine-fat.jar:?]
              at org.postgresql.jdbc.PgStatement.executeUpdate(PgStatement.java:294) ~[mod-template-engine-fat.jar:?]
              at org.folio.rest.persist.PostgresClient.lambda$80(PostgresClient.java:3381) ~[mod-template-engine-fat.jar:?]
              at io.vertx.core.impl.ContextImpl.lambda$executeBlocking$2(ContextImpl.java:316) ~[mod-template-engine-fat.jar:?]
              at io.vertx.core.impl.TaskQueue.run(TaskQueue.java:76) ~[mod-template-engine-fat.jar:?]
              at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_222]
              at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_222]
              at io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30) [mod-template-engine-fat.jar:?]
              at java.lang.Thread.run(Thread.java:748) [?:1.8.0_222]
      27 Nov 2019 17:54:45:817 ERROR PostgresClient [5174eqId] Rollback for: -2111088447
      27 Nov 2019 17:54:45:860 INFO  LogUtil [5217eqId] org.folio.rest.RestVerticle start  invoking postTenant
      27 Nov 2019 17:54:45:869 INFO  LogUtil [5226eqId] 10.0.2.15:55468 POST /_/tenant null HTTP_1_1 400 3657 1161 tid=diku Bad Request
      

      TestRail: Results

        Attachments

          1. okapi.log
            811 kB
          2. reproduce.sh
            0.7 kB
          3. template-engine.log
            20 kB

          Issue Links

            Activity

              People

                julianladisch Julian Ladisch
                ian Ian Hardy
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved:

                  TestRail: Runs

                    TestRail: Cases